--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Traditional mock object.
- !ruby/struct:SM::Flow::P 
  body: Methods return an Expectation which can be further modified by methods on Expectation.
constants: []

full_name: Mocha::Mock
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: expects
- !ruby/object:RI::MethodSummary 
  name: responds_like
- !ruby/object:RI::MethodSummary 
  name: stubs
name: Mock
superclass: Object
